Create Hosted Agent

Create a new hosted agent without profile information.

Profile data (name, readme, avatar, description) should be managed via the hub API. This endpoint only creates the agent identity and address in the hosting service.

Query parameters

no_cachebooleanOptionalDefaults to false

Response

Successful Response
addressstring
Bech32 address of the agent.
runningboolean
Whether the agent is currently running.
compiledboolean
Whether the agent code has been compiled.
code_digeststring
Digest of the agent's code.
wallet_addressstring
Wallet address of the agent.
code_update_timestampstringformat: "date-time"
Last time the code was updated.
creation_timestampstringformat: "date-time"
Time when the agent was created.
revisionintegerDefaults to 0
Revision number of the agent.
metadataobject
Metadata associated with the agent.

Errors

422
Unprocessable Entity Error